package com.zehong.system.task;

import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.List;

/**
 * @author lenovo
 * @date 2025/9/25
 * @description TODO
 */
@Component
public class DeviceComm502Job extends BaseDeviceCommJob {
    @Override
    protected int getFixedPort() {
        return 502; // 固定端口502
    }

    @Override
    protected List<Integer> getDeviceIds() {
        // 端口502对应的设备ID列表
        return Arrays.asList(28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54);
    }
}
